% DC8 FC1 Pitch Controller

load DC8FC1Long

sys=ss(a,b,c,d);	           % Vehicle model with elevator input
dena=[1 20];aa=tf(-20,dena);  % Elevator actuator model (with  sign reversed
sysaa=series(aa,sys);	       % Actuator and vehicle model in series
[aaa,ba,ca,da]=ssdata(sysaa);	% State-variable matrices recovered
aaaug=aaa-ba*1.5*ca(4,:);	  % Vehicle Aaug matrix augmented with pitch damper
sysaug=ss(aaaug,ba,ca,da);	  % Define state-variable model for augmented system 
numc=[1 .2];denc=[1 0];comp=tf(numc,denc);    % Define PI compensation
kg=series(comp,sysaug);	          % PI and augmented vehicle in series
[akg,bkg,ckg,dkg]=ssdata(kg);	% Retrieve state-model matrices for kg
acl=akg-bkg*3.16*ckg(3,:);	  % Closed-loop ACL matrix w. pitch controller
bcl=bkg*3.16;	              % b matrix for closed-loop system
syscl=ss(acl,bcl,ckg,dkg);	  % Pitch-controlled system thetac input
